couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Curt Arnold <carn...@apache.org>
Subject Re: svn commit: r804428 - in /couchdb/trunk/src/couchdb: couch_config.erl couch_config_writer.erl couch_httpd_db.erl couch_log.erl couch_server.erl couch_view.erl
Date Sun, 16 Aug 2009 04:27:53 GMT

On Aug 15, 2009, at 9:05 PM, Paul Davis wrote:

> Curt,
>
> Yeah, we accidentally let a couple calls into CouchDB that are only
> valid in R12B5 or later versions of Erlang. There's another thread [1]
> to consider whether it's time to upgrade our Erlang dependency.
>
> [1] http://mail-archives.apache.org/mod_mbox/couchdb-dev/200908.mbox/%3Ce2111bbb0908141843ib492592vae10accb815ed36f@mail.gmail.com%3E
>
> HTH,
> Paul Davis
>


Thanks.  Was aware of the other thread, but didn't realize that I was  
below the new minimum version.  Good to have the configure script  
mention it since it wasn't obvious from the stack trace.  I was just  
thinking it was some expression or API incompatibility between the old  
and new libraries after the recent switch.  After a long week and a  
final push to get a new server up and running, I didn't make the  
connection.

Likely some of the install guides on the wiki will need to be modified  
when the packaged version isn't new enough.

Mime
View raw message